import { defineConfig } from 'umi';

export default defineConfig({
  hash: true,
  history: { type: 'hash' },
  base: '/spa/orgChart/',
  // exportStatic: {},
  publicPath: './',
  nodeModulesTransform: {
    type: 'none',
  },
  routes: [
    { path: '/user', component: '@/pages/user' },
    { path: '/company', component: '@/pages/company' },
    { path: '/dragtree', component: '@/pages/dragTree' },
    { path: '/statistics', component: '@/pages/statisticsTable' },
  ],
  fastRefresh: {},
  antd: {},
  proxy: {
    '/api': {
      // 标识需要进行转换的请求的url
      target: 'http://127.0.0.1:8686/api', // 服务端域名
      //target: 'http://221.226.25.34:11080/api',
      changeOrigin: true, // 允许域名进行转换
      pathRewrite: { '^/api': '' }, // 将请求url里的ci去掉
    },
  },
});
